from selenium import webdriver
from selenium.webdriver.chrome.service import Service as ChromeService
from webdriver_manager.chrome import ChromeDriverManager
import logging

class Browser_driver(object):
    def browser_init(self):
        # logging.info('初始化开始！')

        try:
            # 自动下载并使用 ChromeDriver
            self.driver = webdriver.Chrome(service=ChromeService(ChromeDriverManager().install()))
            # 设置隐式等待时间
            self.driver.implicitly_wait(5)  # 延长至5秒
            # logging.info('初始化成功，驱动正常！')
        except Exception as e:
            logging.error(f'初始化失败: {e}')
            raise

        return self.driver
